# encoding: utf-8

class WebLinkCategory
  include Mongoid::Document
  include Mongoid::Timestamps
  include OrbitCoreLib::ObjectAuthable
  include OrbitCoreLib::ObjectDisable
  # include Mongoid::MultiParameterAttributes
  AfterObjectAuthUrl = '/panel/page_content/back_end/page_contexts'
  APP_NAME = 'web_resource'
  ObjectAuthTitlesOptions = %W{edit}

  field :key
  
  has_one :i18n_variable, :as => :language_value, :autosave => true, :dependent => :destroy
  
  has_many :web_links
  
  def pp_object
    i18n_variable[I18n.locale]
  end

end